Permalink
Browse files

gemspec correction

  • Loading branch information...
1 parent a997759 commit b6129ce911710eaa900e2c79fab8417c53f79826 aledalgrande committed Aug 31, 2009
Showing with 36 additions and 6 deletions.
  1. +36 −6 authlogic_generator.gemspec
@@ -1,6 +1,36 @@
-spec.name = 'authlogic-generator'
-spec.version = '0.5'
-spec.summary = 'A gem to help you generate all the basic structure to use authlogic in your project.'
-spec.platform = 'Gem::Platform::Ruby'
-spec.require_paths = 'lib'
-spec.add_dependency('authlogic','>= 2.1.1')
+# -*- encoding: utf-8 -*-
+
+Gem::Specification.new do |s|
+ s.name = %q{authlogic_generator}
+ s.version = "0.5"
+
+ s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
+ s.authors = ["Alessandro Dal Grande", "Marco Sanson"]
+ s.date = %q{2009-08-31}
+ s.description = %q{A gem to help you generate all the basic structure to use authlogic in your project.}
+ s.email = %q{}
+ s.extra_rdoc_files = ["README.md", "LICENSE"]
+ s.has_rdoc = true
+ s.homepage = %q{http://github.com/develon/authlogic_generator}
+ s.rdoc_options = ["--inline-source", "--charset=UTF-8"]
+ s.require_paths = ["lib"]
+ s.rubyforge_project = %q{authlogic_generator}
+ s.rubygems_version = %q{1.3.0}
+ s.summary = %q{This generator for authlogic creates models, controllers and view for authentication, user activation and password resetting.}
+
+ if s.respond_to? :specification_version then
+ current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
+ s.specification_version = 2
+
+ if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
+ s.add_runtime_dependency(%q<mime-types>, [">= 1.15"])
+ s.add_runtime_dependency(%q<diff-lcs>, [">= 1.1.2"])
+ else
+ s.add_dependency(%q<mime-types>, [">= 1.15"])
+ s.add_dependency(%q<diff-lcs>, [">= 1.1.2"])
+ end
+ else
+ s.add_dependency(%q<mime-types>, [">= 1.15"])
+ s.add_dependency(%q<diff-lcs>, [">= 1.1.2"])
+ end
+end

0 comments on commit b6129ce

Please sign in to comment.